Publish terms
post
Path parameters
idstringRequired
productIdstringRequired
Responses
200
OK
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
displayOrderinteger · int32Optional
statusstringOptional
400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
500
Internal Server Error
post/public/v1/catalog/products/{productId}/terms/{id}/publish
POST /public/v1/catalog/products/{productId}/terms/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"pending": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"displayOrder": 1,
"status": "text",
"product": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
}
}Last updated
Was this helpful?